select
   an.numero, 
   an.nome as nome_resumido,
   an.brincoeletronico,
   se.nome as setor
from
  animal an
  join setor se on se.cdsetor = an.cdsetor
   left join movgrupo m1 on m1.cdmovgrupo =
    (select first 1 re.cdmovgrupo from movgrupo re join movgrupoanimal rea on rea.cdmovgrupo = re.cdmovgrupo where
        rea.cdanimal = an.cdanimal and re.cdtipogrupoanimal = 5 and re.dtmovimentacao <= current_date order by re.dtmovimentacao desc)
where
   an.tipoanimal = 'A'
   and animalrebanho = '1'
   and dtbaixa is null 
order by an.numero